Subject: Re: Organisation of 4xx initialization code

From: Dan Malek <[email-masked]>
Date: Fri, 16 Nov 2001 20:01:21 -0500

David Gibson wrote:

> That's exactly my point:  platform_init() for *all* 4xx boards is in
> ppc4xx_setup.c, which then calls a board_init() function which comes
> from the particular board.

But, you missed my point.  I was implicating all PowerPC boards, not
just 4xx.  Before we jump off and proclaim it is _the_ way to handle
porting of the different boards, we better understand why it isn't
widely done today.  It seems only Matt does it for some of the boards
he has ported.  The platform_init() for _all_ 8xx boards is done
generically in m8xx_setup.c, which works fine for all of them we support
and it wouldn't make sense to have individual files for the dozens of
those that are supported.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/